org.eclipse.emf.spi.cdo

## Enum DefaultCDOMerger.ResolutionPreference

- java.lang.Object
- - java.lang.Enum<DefaultCDOMerger.ResolutionPreference>
  - - org.eclipse.emf.spi.cdo.DefaultCDOMerger.ResolutionPreference

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DefaultCDOMerger.ResolutionPreference>
  Enclosing class:
    DefaultCDOMerger

      public static enum DefaultCDOMerger.ResolutionPreference
      extends java.lang.Enum<DefaultCDOMerger.ResolutionPreference>

  Enumerates the possible resolution preferences that can be used with a `DefaultCDOMerger`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_OVER_DETACH` Deprecated.
    `DETACH_OVER_CHANGE` Deprecated.
    `NONE`
    `SOURCE_OVER_TARGET` Deprecated.
    `TARGET_OVER_SOURCE` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultCDOMerger.ResolutionPreference` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DefaultCDOMerger.ResolutionPreference[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DefaultCDOMerger.ResolutionPreference NONE

    - #### SOURCE_OVER_TARGET

          @Deprecated
          public static final DefaultCDOMerger.ResolutionPreference SOURCE_OVER_TARGET

      Deprecated.

    - #### TARGET_OVER_SOURCE

          @Deprecated
          public static final DefaultCDOMerger.ResolutionPreference TARGET_OVER_SOURCE

      Deprecated.

    - #### DETACH_OVER_CHANGE

          @Deprecated
          public static final DefaultCDOMerger.ResolutionPreference DETACH_OVER_CHANGE

      Deprecated.

    - #### CHANGE_OVER_DETACH

          @Deprecated
          public static final DefaultCDOMerger.ResolutionPreference CHANGE_OVER_DETACH

      Deprecated.

  - ### Method Detail

    - #### values

          public static DefaultCDOMerger.ResolutionPreference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultCDOMerger.ResolutionPreference c : DefaultCDOMerger.ResolutionPreference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultCDOMerger.ResolutionPreference valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html